# findPlugin

@Nullable
abstract fun findPlugin(id: String): @Nullable AppliedPlugin

Returns the information about the plugin that has been applied with the given ID, or null if no plugin has been applied with the given ID.

Plugins in the `"org.gradle"` namespace (that is, core Gradle plugins) can be specified by either name (e.g. `"java"`) or ID `"org.gradle.java"`. All other plugins must be queried for by their full ID (e.g. `"org.company.some-plugin"`).

Some Gradle plugins have not yet migrated to fully qualified plugin IDs. Such plugins can be detected with this method by simply using the unqualified ID (e.g. `"some-third-party-plugin"`.

#### Return

information about the applied plugin, or `null` if no plugin has been applied with the given ID

#### Since

2.3

#### Parameters

id

the plugin ID